Types.TransferOptions (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.agent

## Class Types.TransferOptions

- java.lang.Object
- - org.gcube.datatransfer.common.agent.Types.TransferOptions

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Types

      public static class Types.TransferOptions
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `conversionType`
    `boolean` | `overwrite`
    `List<Types.postProcessType>` | `postProcess`
    `Types.StorageManagerDetails` | `storageManagerDetails`
    `Types.storageType` | `storageType`
    `long` | `transferTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Types.TransferOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConversionType()`
    `List<Types.postProcessType>` | `getPostProcess()`
    `Types.StorageManagerDetails` | `getStorageManagerDetails()`
    `Types.storageType` | `getStorageType()`
    `long` | `getTransferTimeout()`
    `boolean` | `isOverwrite()`
    `void` | `setConversionType(String conversionType)`
    `void` | `setOverwrite(boolean overwrite)`
    `void` | `setPostProcess(List<Types.postProcessType> postProcess)`
    `void` | `setStorageManagerDetails(Types.StorageManagerDetails storageManagerDetails)`
    `void` | `setStorageType(Types.storageType storageType)`
    `void` | `setTransferTimeout(long transferTimeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### overwrite

          public boolean overwrite

    - #### storageType

          public Types.storageType storageType

    - #### transferTimeout

          public long transferTimeout

    - #### storageManagerDetails

          public Types.StorageManagerDetails storageManagerDetails

    - #### postProcess

          public List<Types.postProcessType> postProcess

    - #### conversionType

          public String conversionType

  - ### Constructor Detail

    - #### Types.TransferOptions

          public Types.TransferOptions()

  - ### Method Detail

    - #### isOverwrite

          public boolean isOverwrite()

    - #### setOverwrite

          public void setOverwrite(boolean overwrite)

    - #### getStorageType

          public Types.storageType getStorageType()

    - #### setStorageType

          public void setStorageType(Types.storageType storageType)

    - #### getTransferTimeout

          public long getTransferTimeout()

    - #### setTransferTimeout

          public void setTransferTimeout(long transferTimeout)

    - #### getStorageManagerDetails

          public Types.StorageManagerDetails getStorageManagerDetails()

    - #### setStorageManagerDetails

          public void setStorageManagerDetails(Types.StorageManagerDetails storageManagerDetails)

    - #### getPostProcess

          public List<Types.postProcessType> getPostProcess()

    - #### setPostProcess

          public void setPostProcess(List<Types.postProcessType> postProcess)

    - #### getConversionType

          public String getConversionType()

    - #### setConversionType

          public void setConversionType(String conversionType)

Copyright © 2015. All Rights Reserved.